from .one_dimensional import find_approximate_zeros, find_intervals, trapezoidal_rule, integrate_1d
from .two_dimensional import create_uniform_grid, find_valid_cells, integrate_over_cells, integrate_over_cells_quadratic
from .three_dimensional import create_uniform_grid_3d, find_valid_cells_3d, integrate_over_cells_trilinear
from .monte_carlo import monte_carlo_integration
from .moment_fitting import integrate_using_moments
from .sub_triangulation import integrate_using_sub_triangulation
from .local_parametrization import find_boundary_points, parametrize_boundary, integrate_over_domain
